<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class BreakoutAssignment extends Model
{
    protected $table = 'meet_breakout_assignments';

    protected $fillable = ['breakout_room_id', 'participant_id'];

    public function breakoutRoom(): BelongsTo
    {
        return $this->belongsTo(BreakoutRoom::class, 'breakout_room_id');
    }

    public function participant(): BelongsTo
    {
        return $this->belongsTo(Participant::class, 'participant_id');
    }
}
